## python-vttlib 0.11.0+dfsg

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#

appdirs==1.4.4            # via fs
attrs==19.3.0             # via ufolib2
fonttools[ufo]==4.10.2    # via ufolib2, vttLib (.\setup.py)
fs==2.4.11                # via fonttools
pyparsing==2.4.7          # via vttLib (.\setup.py)
pytz==2020.1              # via fs
six==1.15.0               # via fs
ufolib2==0.7.1            # via vttLib (.\setup.py)

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## python-vttlib 0.9.1.post2+dfsg

=== debian/changelog ===
python-vttlib (0.9.1.post2+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * No change source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Feb 2021 19:17:25 -0700

python-vttlib (0.9.1.post2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #976883)

 -- Romain Porte <debian@microjoe.org>  Mon, 01 Feb 2021 22:55:26 +0100

=== debian/control ===
Source: python-vttlib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Romain Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-fonttools,
 python3-pyparsing,
 python3-setuptools,
 python3-setuptools-scm,
 python3-toml,
 python3-ufolib2,
 python3-wheel,
Standards-Version: 4.5.1
Homepage: https://github.com/daltonmaag/vttLib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-vttlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vttlib
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python3

Package: python3-vttlib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to extract VTT (Microsoft Visual TrueType) font hinting data
 A library to:
  - Extract VTT hinting data from a OpenType font prepared with Microsoft Visual
    TrueType (VTT) and store it in a FontTools TTX dump
  - Merge it back from a TTX dump into an OpenType font and
  - Compile the data inside to font to ship it (turn TSI* tables into fpgm,
    etc.).
 .
 The primary use case is version control of hinting data of fonts.
 .
 This package installs the library for Python 3.

## python-vttlib 0.10.0%2Bdfsg

=== debian/changelog ===
python-vttlib (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  = Introduce autopkgtests.

 -- Romain Porte <debian@microjoe.org>  Mon, 05 Apr 2021 00:38:14 +0200

## python-vttlib 0.10.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-all,
  python3-fonttools,
  python3-pyparsing,
+ python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
  python3-toml,
@@ -20,7 +21,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-vttlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vttlib
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python3
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-vttlib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-vttlib
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends:
 @,
 @builddeps@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-vttlib-$1\.tar\.gz/ \
  https://github.com/daltonmaag/vttLib/tags .*/v?(\d\S+)\.tar\.gz

## python-vttlib 0.11.0%2Bdfsg

=== debian/changelog ===
python-vttlib (0.11.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop build-depedency on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 23:57:02 +0200

python-vttlib (0.11.0+dfsg-3) unstable; urgency=medium

  * Update metadata

 -- Agathe Porte <debian@microjoe.org>  Mon, 12 Sep 2022 09:39:00 +0200

python-vttlib (0.11.0+dfsg-2) unstable; urgency=medium

  * tests: fix missing python3-all dep
  * patches: mark patch forward as not-needed

 -- Agathe Porte <debian@microjoe.org>  Mon, 18 Oct 2021 17:27:55 +0200

python-vttlib (0.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.11.0+dfsg
  * Introduce d/salsa-ci.yml
  * d/copyright: use wildcards for futureproof imports
  * d/watch: add repacksuffix
  * d/control: update Standards-Version to 4.6.0.1 (no changes required)
  * Run the autopkgtest against installed version of the package, not the
    source tree
  * d/copyright: exclude cli_test requiring non-dfsg data
  * Do not run tests requiring non-DFSG data
  * Run tests during package build

 -- Agathe Porte <debian@microjoe.org>  Tue, 21 Sep 2021 04:04:33 +0200

## python-vttlib 0.11.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Romain Porte <debian@microjoe.org>,
+ Agathe Porte <debian@microjoe.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-fonttools,
  python3-pyparsing,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
- python3-toml,
  python3-ufolib2,
  python3-wheel,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/daltonmaag/vttLib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-vttlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vttlib

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=python-vttlib
-export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-fonttools,
 python3-pyparsing,
 python3-pytest,
 python3-ufolib2,
 @,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-vttlib-$1\.tar\.gz/,\
  repacksuffix=+dfsg \
  https://github.com/daltonmaag/vttLib/tags .*/v?(\d\S+)\.tar\.gz
